package eu.maiora.model

import eu.maiora.db.AccountsDAO
import eu.maiora.db.AccountsTable
import eu.maiora.db.accountsDaoToModel
import eu.maiora.db.suspendTransaction

class AccountsRepositoryImpl : AccountsRepository {
    override suspend fun accountByUsername(username: String): Accounts? = suspendTransaction {
        // Cerca un account dalla tabella AccountsTable
        AccountsDAO.find { AccountsTable.username eq username }
            .singleOrNull() // Restituisce un singolo risultato o null se non trovato
            ?.let { accountsDaoToModel(it) } // Converte il DAO in un oggetto Accounts

    }
}