package eu.maiora.model

import eu.maiora.db.ParametriDAO
import eu.maiora.db.ParametriTable
import eu.maiora.db.parametriDaoToModel
import eu.maiora.db.suspendTransaction


class ParametriRepositoryImpl : ParametriRepository {
    override suspend fun parametroByChiave(chiave: String): Parametri? = suspendTransaction {
        // Cerca un account dalla tabella AccountsTable
        ParametriDAO.find { ParametriTable.chiave eq chiave }
            .singleOrNull() // Restituisce un singolo risultato o null se non trovato
            ?.let { parametriDaoToModel(it) } // Converte il DAO in un oggetto Accounts

    }
}